PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- SDSS Utilities (`pydl.pydlutils`) »
- djs_maskinterp1

# djs_maskinterp1

`pydl.pydlutils.image.``djs_maskinterp1`(yval, mask, xval=None, const=False)

  Interpolate over a masked, 1-d array.

  Parameters:

  yval : `numpy.ndarray`

  > The input values.

  mask : `numpy.ndarray`

  > The mask.

  xval : `numpy.ndarray`, optional

  > If set, use these x values, otherwise use an array.

  const : `bool`, optional

  > If set to `True`, bad values around the edges of the array will be set to a constant value. Because of the default behavior of `numpy.interp()`, this value actually makes no difference in the output.

  Returns:

  `numpy.ndarray`

  > The `yval` array with masked values replaced by interpolated values.